Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

MariaDB RCE Vulnerability (MDEV-25179) - Linux

Information

Severity

Severity

High

Family

Family

Databases

CVSSv2 Base

CVSSv2 Base

8.3

CVSSv2 Vector

CVSSv2 Vector

AV:N/AC:L/Au:M/C:C/I:C/A:C

Solution Type

Solution Type

Vendor Patch

Created

Created

1 year ago

Modified

Modified

1 year ago

Summary

MariaDB is prone to a remote code execution (RCE) vulnerability.

Insight

Insight

An untrusted search path leads to eval injection, in which a database SUPER user can execute OS commands after modifying wsrep_provider and wsrep_notify_cmd.

Affected Software

Affected Software

MariaDB versions 10.2.x, 10.3.x, 10.4.x and 10.5.x.

Detection Method

Detection Method

Checks if a vulnerable version is present on the target host.

Solution

Solution

Update to version 10.2.37, 10.3.28, 10.4.18, 10.5.9 or later.

Common Vulnerabilities and Exposures (CVE)